import request from '@/utils/request'

// api地址
const api = {
	list: 'help/list',
	helpList: 'article/helpCenter',
	addGoodsSource: 'user/addGoodsSource',
	joinStore: 'store/joinStore',
	getStoreType: 'store/getStoreType',
	storeSet:'store/editStore',
	storeInfo:'store/getStoreInfo',
	getAgreement: 'user/getAgreement',
}
export const getAgreement = (data) => {
	return request.get(api.getAgreement,data)
}
// 帮助中心列表
export const list = (param) => {
	return request.get(api.list, param)
}
// 帮助中心列表
export const helpList = (param) => {
	return request.get(api.helpList, param)
}
// 我要找货
export const addGoodsSource = (param) => {
	return request.post(api.addGoodsSource, param)
}
// 商家入住
export const joinStore = (param) => {
	return request.post(api.joinStore, param)
}
// 商家入住类型
export const getStoreType = (param) => {
	return request.post(api.getStoreType, param)
}
// 店铺设置
export const storeSet = (param) => {
	return request.post(api.storeSet, param)
}
// 店铺信息
export const storeInfo = (param) => {
	return request.get(api.storeInfo, param)
}

